XANDIKOS(1)

NAME
xandikos - CalDAV/CardDAV server

DESCRIPTION

Xandikos is a CalDAV/CardDAV application that stores its data in a Git repository.

The xandidos command-line tool starts a simple server instance, without authentication.

SYNOPSIS
xandikos -d ROOT-DIR [OPTIONS]

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-l LISTEN_ADDRESS, --listen_address=LISTEN_ADDRESS
    Binding IP address.

-d DIRECTORY, --directory=DIRECTORY
    Default path to serve from.

-p PORT, --port=PORT
    Port to listen on.

--current-user-principal=CURRENT_USER_PRINCIPAL
    Path to current user principal.

--route-prefix=ROUTE_PREFIX
    Path to Xandikos. This is useful when Xandikos is behind a reverse proxy, and not being served from the root of the host.

E.g. if Xandikos is served from http://example.com/dav/, specify --route-prefix=/dav/.

--autocreate
    Automatically create necessary directories for Xandikos to run.

--defaults
    Automatically create a calendar and an addressbook; implies --autocreate.

SEE ALSO
calypso(1), vdirsyncer(1)

AUTHOR
Xandikos was written by Jelmer Vernooĳ <jelmer@jelmer.uk>

LICENSE
GNU General Public License, version 3 or later.